org.eclipse.jetty.servlets

## Class MultiPartFilter

- java.lang.Object
- - org.eclipse.jetty.servlets.MultiPartFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class MultiPartFilter
      extends Object
      implements javax.servlet.Filter

  Multipart Form Data Filter.

  This class decodes the multipart/form-data stream sent by a HTML form that uses a file input item. Any files sent are stored to a temporary file and a File object added to the request as an attribute. All other values are made available via the normal getParameter API and the setCharacterEncoding mechanism is respected when converting bytes to Strings.

  If the init parameter "delete" is set to "true", any files created will be deleted when the current request returns.

  The init parameter maxFormKeys sets the maximum number of keys that may be present in a form (default set by system property org.eclipse.jetty.server.Request.maxFormKeys or 1000) to protect against DOS attacks by bad hash keys.

  The init parameter deleteFiles controls if uploaded files are automatically deleted after the request completes. Use init parameter "maxFileSize" to set the max size file that can be uploaded. Use init parameter "maxRequestSize" to limit the size of the multipart request.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTENT_TYPE_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiPartFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
    `void` | `init(javax.servlet.FilterConfig filterConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTENT_TYPE_SUFFIX

          public static final String CONTENT_TYPE_SUFFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MultiPartFilter

          public MultiPartFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`
      See Also:
        `Filter.init(javax.servlet.FilterConfig)`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest request,
                      javax.servlet.ServletResponse response,
                      javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`
      See Also:
        `Filter.doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain)`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`
      See Also:
        `Filter.destroy()`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.